Package com.sleepycat.persist.evolve

## Class DeletedClassException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sleepycat.persist.evolve.DeletedClassException

All Implemented Interfaces:
  `java.io.Serializable`

    public class DeletedClassException
    extends java.lang.RuntimeException

While reading from an index, an instance of a deleted class version was encountered.

See Also:
  `Class Evolution`, Serialized Form

### Constructor Summary

Constructors
`DeletedClassException​(java.lang.String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeletedClassException

    public DeletedClassException​(java.lang.String msg)